//***********************************************************************
//
//  GdiDemo2.h
//
//***********************************************************************

class CMyApp : public CWinApp
{
public:
    virtual BOOL InitInstance ();
};

class CMainWindow : public CFrameWnd
{
private:
    int m_cxChar;
    int m_cyChar;
    int m_nPageSize;
    int m_nScrollPos;

    void ShowPenStyles (CDC*, int, int);
    void ShowPenWidths (CDC*, int, int);
    void ShowBrushStyles (CDC*, int, int);

public:
    CMainWindow ();

protected:
    afx_msg int OnCreate (LPCREATESTRUCT);
    afx_msg void OnPaint ();
    afx_msg void OnSize (UINT, int, int);
    afx_msg void OnVScroll (UINT, UINT, CScrollBar*);

    DECLARE_MESSAGE_MAP ()
};

struct STYLES {
    int nStyle;
    char szStyleName[16];
};
