//***********************************************************************
//
//  GdiDemo3.h
//
//***********************************************************************

class CMyApp : public CWinApp
{
public:
    virtual BOOL InitInstance ();
};

class CMyView : public CScrollView
{
private:
    int m_cxChar;
    int m_cyChar;

    void ShowPenStyles (CDC*, int, int);
    void ShowPenWidths (CDC*, int, int);
    void ShowBrushStyles (CDC*, int, int);

protected:
    virtual void OnDraw (CDC*);

    afx_msg int OnCreate (LPCREATESTRUCT);
    afx_msg void OnSize (UINT, int, int);

    DECLARE_MESSAGE_MAP ()
};

class CMainWindow : public CFrameWnd
{
public:
    CMainWindow ();

protected:
    afx_msg int OnCreate (LPCREATESTRUCT);
    DECLARE_MESSAGE_MAP ()
};

struct STYLES {
    int nStyle;
    char szStyleName[16];
};
