//***********************************************************************
//
//  CtlDemo5.h
//
//***********************************************************************

class CColorStatic : public CStatic
{
protected:
    COLORREF m_crTextColor;
    COLORREF m_crBkColor;
    CBrush m_brBkgnd;

public:
    CColorStatic ();
    void SetTextColor (COLORREF);
    void SetBkColor (COLORREF);

protected:
    afx_msg HBRUSH CtlColor (CDC*, UINT);
    DECLARE_MESSAGE_MAP ()
};

class CMyApp : public CWinApp
{
public:
    virtual BOOL InitInstance ();
};

class CMainWindow : public CFrameWnd
{
private:
    int m_cxChar;
    int m_cyChar;
    CFont m_font;

    CColorStatic m_ctlText;
    CButton m_ctlRadioButtonRed;
    CButton m_ctlRadioButtonGreen;
    CButton m_ctlRadioButtonBlue;
    CButton m_ctlGroupBox1;
    CButton m_ctlGroupBox2;

public:
    CMainWindow ();

protected:
    afx_msg int OnCreate (LPCREATESTRUCT);
    afx_msg void OnRedButtonClicked ();
    afx_msg void OnGreenButtonClicked ();
    afx_msg void OnBlueButtonClicked ();

    DECLARE_MESSAGE_MAP ()
};
