//***********************************************************************
//
//  FontView.h
//
//***********************************************************************

class CMyApp : public CWinApp
{
public:
    virtual BOOL InitInstance ();
};

class CMainWindow : public CWnd
{
private:
    int m_cxChar;
    int m_cyChar;

    CFont m_fontMain;
    CFont m_fontSample;

    CStatic m_ctlLBTitle;
    CListBox m_ctlListBox;
    CButton m_ctlCheckBox;
    CButton m_ctlGroupBox;
    CStatic m_ctlSampleText;
    CButton m_ctlPushButton;

    void FillListBox ();

public:
    CMainWindow ();

    static int CALLBACK EnumFontFamProc (ENUMLOGFONT*,
        NEWTEXTMETRIC*, int, LPARAM);

protected:
    virtual void PostNcDestroy ();

    afx_msg int OnCreate (LPCREATESTRUCT);
    afx_msg void OnPushButtonClicked ();   
    afx_msg void OnCheckBoxClicked ();
    afx_msg void OnSelChange ();

    DECLARE_MESSAGE_MAP ()
};
