//***********************************************************************
//
//  IconView.h
//
//***********************************************************************

class CMyApp : public CWinApp
{
public:
    virtual BOOL InitInstance ();
};

class CIconListBox : public CListBox
{
public:
    virtual BOOL PreCreateWindow (CREATESTRUCT&);
    virtual void MeasureItem (LPMEASUREITEMSTRUCT);
    virtual void DrawItem (LPDRAWITEMSTRUCT);
    int AddIcon (HICON);
    void ProjectImage (CDC*, LPRECT, COLORREF);
};

class CMainWindow : public CWnd
{
private:
    int m_cxChar;
    int m_cyChar;

    CFont m_font;
    CRect m_rcImage;

    CButton m_ctlGroupBox;
    CIconListBox m_ctlIconListBox;
    CStatic m_ctlLabel;

public:
    CMainWindow ();

protected:
    virtual void PostNcDestroy ();

    afx_msg int OnCreate (LPCREATESTRUCT);
    afx_msg void OnPaint ();
    afx_msg void OnSetFocus (CWnd*);
    afx_msg void OnDropFiles (HDROP);
    afx_msg void OnSelChange ();

    DECLARE_MESSAGE_MAP ()
};
