//***********************************************************************
//
//  MyWord.cpp
//
//***********************************************************************

#include <afxwin.h>
#include <afxext.h>
#include <afxcmn.h>
#include <afxrich.h>
#include "Resource.h"
#include "MyWord.h"
#include "StyleBar.h"
#include "MainFrame.h"
#include "MyWordDoc.h"
#include "MyWordView.h"

CWordApp myApp;

BEGIN_MESSAGE_MAP (CWordApp, CWinApp)
    ON_COMMAND (ID_FILE_NEW, CWinApp::OnFileNew)
    ON_COMMAND (ID_FILE_OPEN, CWinApp::OnFileOpen)
END_MESSAGE_MAP ()

BOOL CWordApp::InitInstance ()
{
    SetRegistryKey ("Programming Windows 95 with MFC");
    LoadStdProfileSettings ();

    CSingleDocTemplate* pDocTemplate;
    pDocTemplate = new CSingleDocTemplate (
        IDR_MAINFRAME,
        RUNTIME_CLASS (CWordDoc),
        RUNTIME_CLASS (CMainFrame),
        RUNTIME_CLASS (CWordView)
    );

    AddDocTemplate (pDocTemplate);
    RegisterShellFileTypes (TRUE);

    CCommandLineInfo cmdInfo;
    ParseCommandLine (cmdInfo);

    if (!ProcessShellCommand (cmdInfo))
        return FALSE;

    m_pMainWnd->DragAcceptFiles ();
    return TRUE;
}
