//***********************************************************************
//
//  StyleBar.h
//
//***********************************************************************

class CStyleBar : public CToolBar
{
private:
    CFont m_font;
    CComboBox m_ctlNameComboBox;
    CComboBox m_ctlSizeComboBox;

    void FillNameComboBox (CDC*);

public:
    virtual void OnUpdateCmdUI (CFrameWnd*, BOOL);

    static int CALLBACK EnumFontNameProc (ENUMLOGFONT*,
        NEWTEXTMETRIC*, int, LPARAM);

protected:
    afx_msg int OnCreate (LPCREATESTRUCT);
    afx_msg void OnSelectFont ();
    afx_msg void OnSelectSize ();
    afx_msg void OnCloseUp ();

    DECLARE_MESSAGE_MAP ()
};
