//***********************************************************************
//
//  Vista.cpp
//
//***********************************************************************

#include <afxwin.h>
#include <afxext.h>
#include "Resource.h"
#include "Vista.h"
#include "MainFrame.h"
#include "VistaDoc.h"
#include "VistaView.h"

CVistaApp myApp;

BEGIN_MESSAGE_MAP (CVistaApp, CWinApp)
    ON_COMMAND (ID_FILE_OPEN, CWinApp::OnFileOpen)
END_MESSAGE_MAP ()

BOOL CVistaApp::InitInstance ()
{
    SetRegistryKey ("Programming Windows 95 with MFC");
    LoadStdProfileSettings ();

    CSingleDocTemplate* pDocTemplate;
    pDocTemplate = new CSingleDocTemplate (
        IDR_MAINFRAME,
        RUNTIME_CLASS (CVistaDoc),
        RUNTIME_CLASS (CMainFrame),
        RUNTIME_CLASS (CVistaView)
    );

    AddDocTemplate (pDocTemplate);

    CCommandLineInfo cmdInfo;
    ParseCommandLine (cmdInfo);

    if (!ProcessShellCommand (cmdInfo))
        return FALSE;

    m_pMainWnd->DragAcceptFiles ();
    return TRUE;
}
